> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/zh/exoclick-gong-gong-api/api-manual-rate-limiting.md).

# 速率限制

## 总体请求速率限制

API 的速率限制为每 60 秒 150 个请求。所有请求都会计入总数。API 处理的每个请求都会在 HTTP 标头中返回速率限制信息。

{% hint style="info" %}
**注意**：速率限制同时基于用户名和 IP 地址。因此，单个用户名每 60 秒最多可发送 150 个请求，单个 IP 地址也是如此。
{% endhint %}

## 登录请求速率限制

登录请求的速率限制为 **每 60 秒 10 个请求**。所有请求都会计入总数。

{% hint style="info" %}
**注意**：每个统计信息请求所用的 IP 地址和用户名都会计入这些限制。
{% endhint %}

## 统计信息请求速率限制

统计信息请求的速率限制为：每个 IP 地址每分钟 30 个请求，每个用户名每分钟 25 个请求。

{% hint style="info" %}
**注意**：每个统计信息请求所用的 IP 地址和用户名都会计入这些限制。
{% endhint %}

例如，如果你在一台电脑上使用用户名登录并发出 25 个统计信息请求，那么你发出的下一个请求将会失败。不过，你可以改用另一个用户名，再发出 5 个统计信息请求，然后才会达到 IP 地址的限制。

## 示例

### 速率限制 - 示例 1

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "200 OK",
  "Date": "Fri, 24 Oct 2014 14:57:32 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 44,
  "X-Rate-Limit-Reset": 27
}
```

超出速率限制后， *429 Too Many Requests* HTTP 错误将由此后的所有请求引发，直到速率限制重置。与普通请求一样，速率限制信息会显示在 HTTP 标头中。

### 速率限制 - 示例 2（超出限制）

```bash
$ curl -i https://api.exoclick.com/v2/statistics/a/date
```

```json
{
  "HTTP/1.1": "429 Too Many Requests",
  "Date": "Fri, 24 Oct 2014 15:04:35 GMT",
  "Content-Type": "application/json",
  "Transfer-Encoding": "chunked",
  "X-Rate-Limit-Limit": 25,
  "X-Rate-Limit-Remaining": 0,
  "X-Rate-Limit-Reset": 12
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.exoclick.com/api/zh/exoclick-gong-gong-api/api-manual-rate-limiting.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
